{
  "manifest_version": 2,

  "name": "Share Freedom",
  "description": "share the current tab on the fediverse",
  "version": "2.1.3",
  "author": "Miguel",

  "background": {
    "scripts": ["src/js/background.js"],
    "persistent": true
  },

  "browser_action": {
    "default_icon": "src/img/icon-32-dark.png",
    "default_popup": "src/html/index.html",
    "default_title": "Share freedom",
    "theme_icons": [{
      "light": "src/img/icon-16-light.png",
      "dark": "src/img/icon-16-dark.png",
      "size": 16
    }, {
      "light": "src/img/icon-32-light.png",
      "dark": "src/img/icon-32-dark.png",
      "size": 32
    }]
  },

  "icons": {
    "16":"src/img/icon-16-dark.png",
    "32":"src/img/icon-32-dark.png"
  },

  "commands": {
    "_execute_browser_action": {
      "suggested_key": {
	"default": "Ctrl+Shift+U"
      },
      "description": "Execute the extension"
    }
  },

  "options_ui": {
    "page": "src/html/options.html",
    "browser_style": true,
    "chrome_style": true
  },

  "applications": {
    "gecko": {
      "id": "{c5880375-5496-4d02-ba27-7830809dbf08}",
      "strict_min_version": "59.0"
    }
  },

  "permissions": [
    "tabs",
    "activeTab",
    "https://*/*",
    "storage"
  ]

}
